# Uses of Class
org.eclipse.draw2d.ScrollBar

Packages that use ScrollBar
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of ScrollBar in org.eclipse.draw2d

Subclasses of ScrollBar in org.eclipse.draw2d
Modifier and Type
Class
Description
`class`
`PuristicScrollPane.PuristicScrollBar`
A `ScrollBar` with no thumb and non-opaque buttons.
Fields in org.eclipse.draw2d declared as ScrollBar
Modifier and Type
Field
Description
`protected ScrollBar`
ScrollPane.`hBar`
The horizontal scrollbar
`protected ScrollBar`
ScrollPane.`vBar`
The vertical scrollbar
Methods in org.eclipse.draw2d that return ScrollBar
Modifier and Type
Method
Description
`ScrollBar`
ScrollPane.`getHorizontalScrollBar()`
Returns the ScrollPane's horizontal ScrollBar.
`ScrollBar`
ScrollPane.`getVerticalScrollBar()`
Returns the ScrollPane's vertical ScrollBar.
Methods in org.eclipse.draw2d with parameters of type ScrollBar
Modifier and Type
Method
Description
`protected Rectangle`
ScrollBarLayout.`layoutButtons(ScrollBar scrollBar)`
Places the buttons and returns the Rectangle into which the track should be placed.
`void`
ScrollPane.`setHorizontalScrollBar(ScrollBar bar)`
Sets the ScrollPane's horizontal ScrollBar to the passed ScrollBar.
`void`
ScrollPane.`setVerticalScrollBar(ScrollBar bar)`
Sets the ScrollPane's vertical ScrollBar to the passed Scrollbar.